#include<iostream>
using namespace std;
int p, q, r, L, R, tr, rez;
int main(){

    cin >> p >> q >> r >> L >> R;
    for(int i = L; i <= R; i++){
        tr  = i / p + (i % p > 0);
        tr += i / q + (i % q > 0);
        tr += i / r + (i % r > 0);
        if(tr <= i)
            rez++;
    }

    cout << rez;

    return 0;
}